Bug 968248 - Met "'gear postreceive'" error when creating ruby on rails application.
Met "'gear postreceive'" error when creating ruby on rails application.
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Templates (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Hiro Asari
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-29 06:00 EDT by Yujie Zhang
Modified: 2015-05-14 22:23 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-11 00:12:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
site log (8.62 KB, text/plain)
2013-05-29 06:00 EDT, Yujie Zhang
no flags Details

  None (edit)
Description Yujie Zhang 2013-05-29 06:00:22 EDT
Created attachment 754278 [details]
site log

Description of problem:

Tried to create ruby on rails application from website or using rhc, also tried manually create using git repo, all met "The initial build for the application failed. Last 10 kB of build output: Stopping Ruby cart httpd (no pid file) not running Creating permanent assets directory ../../app-root/data/assets mkdir: cannot create directory `../../app-root/data/assets': No such file or directory Restoring stored assets with 'ln -sf "../../../../app-root/data/assets" "../../app-root/repo/public/assets"' in /var/lib/openshift/51a5ce6603ef64daf9000028 ln: creating symbolic link `../../app-root/repo/public/assets': No such file or directory An error occurred executing 'gear postreceive' For more details about the problem, try running the command again with the '--trace' option." error.

Version-Release number of selected component (if applicable):
INT(devenv_3281)
devenv_3282

How reproducible:
always

Steps to Reproduce:
1.Try to create rubyonrails application from website, using rhc, or manually using git repo
2.
3.

Actual results:

All met "The initial build for the application failed. Last 10 kB of build output: Stopping Ruby cart httpd (no pid file) not running Creating permanent assets directory ../../app-root/data/assets mkdir: cannot create directory `../../app-root/data/assets': No such file or directory Restoring stored assets with 'ln -sf "../../../../app-root/data/assets" "../../app-root/repo/public/assets"' in /var/lib/openshift/51a5ce6603ef64daf9000028 ln: creating symbolic link `../../app-root/repo/public/assets': No such file or directory An error occurred executing 'gear postreceive' For more details about the problem, try running the command again with the '--trace' option." error, details log see in attachment please

Expected results:

Should be able to create ruby on rails application successfully.

Additional info:
Comment 1 Hiro Asari 2013-05-29 16:17:06 EDT
https://github.com/openshift/rails-example/commit/922e6a9fd5399f3be9730777f0f3dbb3aa66247d

The issue was that my attempt to have scaled app work with the current use of turbolinks was faulty, and the symbolic links were not created correctly.
Comment 2 Yujie Zhang 2013-05-30 03:49:02 EDT
Tested on devenv_3288, created rubyonrails application using rhc and website, the issue has been resolved, so verify this bug, thanks!

Note You need to log in before you can comment on or make changes to this bug.